import request from '/@/utils/request';
/**
 * @summary 获取测点列表
 */
export const GetByGroupID = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Last/List/Logic/GetByGroupID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 刷新一条测点列表数据
 */
export const GetLastRecord = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Last/List/Logic/GetLastRecord@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 棒图数据
 */
export const GetByBarGroupID = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Bar/GetByGroupID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 刷新棒图数据
 */
export const GetBarLastRecord = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Bar/GetLastRecord@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 获取format类型
 */
export const GetDisplayParasByID = async (params) => {
	return request({
		url: '/Monitor/Signal/Std/GetDisplayParasByID@V1.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 根据信号ID获取图表数据(有文本和其他图表)
 */
export const GetBySignalIDOfDay = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Std/GetBySignalIDOfDay@V2.0',
		method: 'GET',
		params: params,
	});
};

/**
 * @summary 根据信号ID获取图表数据 (只有图表)
 */
export const GetBySignalIDOfNumberDay = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Std/GetBySignalIDOfDay@V1.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 根据信号ID实时刷新图表数据
 */
export const GetEChartLastRecord = async (params) => {
	return request({
		url: '/Monitor/Record/Real/Std/GetLastRecord@V2.0',
		method: 'GET',
		params: params,
	});
};
/**
 * @summary 根据信号ID获取计量参数
 */
export const GetMeasureParasByID = async (params) => {
	return request({
		url: '/Monitor/Signal/Std/GetMeasureParasByID@V1.0',
		method: 'GET',
		params: params,
	});
};
